const APIBase = require("../../api.base");
const system = require("../../../system");
const settings = require("../../../../config/settings")

class TestDataAPI extends APIBase {
    constructor() {
        super();
        this.redisClient = system.getObject("util.redisClient");
        this.configInfoDao = system.getObject("db.opLogs.configInfoDao");
    }
    /**
  * 接口跳转-POST请求
  * actionType     执行的功能模块
  * action_body     执行的参数
  */
    async springBoard(pobj, qobj, req) {
        if (!pobj.actionType) {
            return system.getResult(null, "actionType参数不能为空");
        }
        // var result = await this.opActionType(pobj, pobj.actionType, req);
        // return result;
    }
    async opActionType(pobj, actionType, req) {
        var opResult = null;
        switch (actionType) {
            case "test":
                var tmpParam = {
                    actionType: "test",
                    actionBody: pobj.actionBody
                }
                opResult = await this.execPostByTimeOut(tmpParam, "http://192.168.1.189:4012/api/test/testApi/springBoard"
                    , null, { token: "123456", userId: "sy123" });
                break;
            default:
                opResult = system.getResult(null, "actionType参数错误");
                break;
        }
        return opResult;
    }
}
module.exports = TestDataAPI;